# WEB+DB PRESS Vol.96「はやぶさ2小惑星探査ノウハウ大公開」サンプルコード

本特集の第5章「軌道計算を体験！」にて紹介したサンプルコードです。

## 収録されているサンプルコード
* compare_timesys.c：TDBとUTCの時差を出力するプログラム
* moon_orbit.c：月の軌道を出力するプログラム
* earth_axial_tilt.c：黄道面からの地球の自転軸の傾きを計算するプログラム

## 実行に必要なもの
記事内でも解説したとおり、これらをコンパイル／実行するにあたっては以下が必要です。

* [SPICE Toolkit](http://naif.jpl.nasa.gov/)：「Toolkit for C」をダウンロードし、コンパイルしてください
    * コンパイルにあたってはgccとcshが必要です
* [各種データ](http://naif.jpl.nasa.gov/pub/naif/generic_kernels/)：サンプルコードの実行にあたっては、以下のデータを使用します
    * lsk/naif0011.tls：うるう秒のデータ
    * pck/pck00010.tpc：地球の半径などの定数
    * spk/planets/de430.bsp：地球や月の軌道データ

## 実行方法
下記の方法（ここではcompare_timesys.cを例にとっています）でコンパイル／実行できます。

```
$ gcc -o compare_timesys compare_timesys.c -I/path/to/cspice/include /path/to/cspice/lib/cspice.a
$ ./compare_timesys
```

`-I/path/to/cspice/include /path/to/cspice/lib/cspice.a`の部分にはそれぞれ、SPICE Toolkitをコンパイルしたディレクトリなどを指定してください。
また、各種データについては実行したいプログラムと同じディレクトリに置いてください。

